Subject: Re: [PATCH v3 4/7] fetch: add --refetch option

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Mar 2022 09:27:37 -0800

Robert Coup <[email-masked]> writes:

> Ah, I literally copied the unshallow one since it seemed boolean-ish
> and that's what I wanted. I'll look into it.

You may (or may not --- I didn't look) find options that need to be
OPT_BOOL() other than "unshallow" one.

While it would be excellent to add a separate "preliminary clean-up"
step before you add OPT_BOOL("refetch") to fix them to use
OPT_BOOL() instead of OPT_SET_INT(), that will add extra review
cycles to the series by extending the scope of it.

It is OK to leave them, in addition to the new one you are adding,
to use the old and a bit incorrect pattern, as long as you leave a
prominent note that we need to clean them up later.

Thanks.